Bug 236879 - cpufreq_ac_policy doesn't work well.
cpufreq_ac_policy doesn't work well.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-18 04:14 EDT by sangu
Modified: 2013-03-05 22:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 11:37:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2007-04-18 04:14:37 EDT
Description of problem:
Only userspace and performance works.
When select ondemand, conservative, posersave nothing in gconf-editor,
tooltip is userspace on cpufreq-applet.

Changing userspace , "Clocksource tsc unstable (delta = -156897264 ns) appears
in dmesg.

$dmesg
[...]
Clocksource tsc unstable (delta = -156897264 ns)



Version-Release number of selected component (if applicable):
gnome-power-manager-2.18.2-1.fc7

How reproducible:
always

Steps to Reproduce:
1. select cpufreq_ac_policy  on gconf-editor
2.
3.
  
Actual results:


Expected results:


Additional info:
$ dmesg | grep clock
Time: acpi_pm clocksource has been installed.
intel8x0_measure_ac97_clock: measured 50520 usecs
intel8x0: clocking to 46784
CPU AMD Athlon(tm) 64 X2 Dual Core Processor 3800+

$ dmesg | grep power
powernow-k8: Found 2 AMD Athlon(tm) 64 X2 Dual Core Processor 3800+ processors
(version 2.00.00)
powernow-k8:    0 : fid 0xc (2000 MHz), vid 0x8
powernow-k8:    1 : fid 0xa (1800 MHz), vid 0xa
powernow-k8:    2 : fid 0x2 (1000 MHz), vid 0x12

cpuspeed daemon stop.

hal-0.5.9-3.fc7
gnome-applets-2.18.0-7.fc7
kernel-2.6.20-1.3071.fc7
Comment 1 sangu 2007-04-18 10:39:09 EDT
When cpuspeed daemon stops, gnome-power-manager doesn't use ondemand.
Comment 2 Richard Hughes 2007-05-14 05:15:55 EDT
If you remove cpufreq applet, do you get a more predictable system?

Note You need to log in before you can comment on or make changes to this bug.